searchNodes=[{"doc":"Módulo encargado de realizar las validaciones de identificadores personales y fiscales de México, Colombia, España, Portugal e Italia","ref":"Bali.html","title":"Bali","type":"module"},{"doc":"Obtiene la lista de tipos de documentos soportados","ref":"Bali.html#get_document_types/0","title":"Bali.get_document_types/0","type":"function"},{"doc":"Valida el identificador personal o fiscal segun el país(mx,co,es,pt,it) y tipo Ejemplos: # México iex&gt; Bali.validate(:mx, :curp, &quot;ROCE000131HNLDNDA0&quot;) {:ok, &quot;ROCE000131HNLDNDA0&quot;} iex&gt; Bali.validate(:mx, :curp, &quot;BADD110313HCMLNS0Q&quot;) {:error, &quot;CURP inválido&quot;} iex&gt; Bali.validate(:mx, :rfc, &quot;AAFI7906296J1&quot;) {:ok, &quot;AAFI7906296J1&quot;} iex&gt; Bali.validate(:mx, :rfc, &quot;OIBD890101MQB&quot;) {:error, &quot;RFC inválido&quot;} # Colombia iex&gt; Bali.validate(:co, :cc, &quot;123456789&quot;) {:ok, &quot;123456789&quot;} iex&gt; Bali.validate(:co, :cc, &quot;12345678912&quot;) {:error, &quot;CC inválida&quot;} iex&gt; Bali.validate(:co, :ce, &quot;123456&quot;) {:ok, &quot;123456&quot;} iex&gt; Bali.validate(:co, :ce, &quot;1234567&quot;) {:error, &quot;CE inválida&quot;} iex&gt; Bali.validate(:co, :nit, &quot;123456-1&quot;) {:ok, &quot;123456-1&quot;} iex&gt; Bali.validate(:co, :nit, &quot;123456-12&quot;) {:error, &quot;NIT inválido&quot;} # España iex&gt; Bali.validate(:es, :dni, &quot;46324571H&quot;) {:ok, &quot;46324571H&quot;} iex&gt; Bali.validate(:es, :dni, &quot;46324571I&quot;) {:error, &quot;DNI inválido&quot;} iex&gt; Bali.validate(:es, :nie, &quot;Z1234567R&quot;) {:ok, &quot;Z1234567R&quot;} iex&gt; Bali.validate(:es, :nie, &quot;Z1234567I&quot;) {:error, &quot;NIE inválido&quot;} # Italia iex&gt; Bali.validate(:it, :nif, &quot;VRDGPP13R10B293P&quot;) {:ok, &quot;VRDGPP13R10B293P&quot;} iex&gt; Bali.validate(:it, :nif, &quot;VRDGPP13R10B29BP&quot;) {:error, &quot;NIF inválido&quot;} # Portugal iex&gt; Bali.validate(:pt, :nif, &quot;123456789&quot;) {:ok, &quot;123456789&quot;} iex&gt; Bali.validate(:pt, :nif, &quot;12345678&quot;) {:error, &quot;NIF inválido&quot;}","ref":"Bali.html#validate/3","title":"Bali.validate/3","type":"function"},{"doc":"Revisa si el tipo documento fiscal recibido se encuentra en la lista de documentos válidos y verifica que su valor sea correcto","ref":"Bali.html#validate_fiscal_document/3","title":"Bali.validate_fiscal_document/3","type":"function"},{"doc":"Revisa si el tipo documento personal recibido se encuentra en la lista de documentos válidos y verifica que su valor sea correcto","ref":"Bali.html#validate_personal_document/3","title":"Bali.validate_personal_document/3","type":"function"},{"doc":"Validador para los identificadores personales y fiscales de Colombia. Soporta la CC (Cédula de Ciudadania), la CE (Cédula de Extranjería) y el NIT (Número de Identificación Tributario)","ref":"Validators.Colombia.html","title":"Validators.Colombia","type":"module"},{"doc":"Valida el formato de una CC ó una CE ó un NITEjemplos: iex&gt; Validators.Colombia.validate(:cc, &quot;1234567891&quot;) {:ok, &quot;1234567891&quot;} iex&gt; Validators.Colombia.validate(:cc, &quot;12345678912&quot;) {:error, &quot;CC inválida&quot;} iex&gt; Validators.Colombia.validate(:ce, &quot;123456&quot;) {:ok, &quot;123456&quot;} iex&gt; Validators.Colombia.validate(:ce, &quot;1234567&quot;) {:error, &quot;CE inválida&quot;} iex&gt; Validators.Colombia.validate(:nit, &quot;123456-1&quot;) {:ok, &quot;123456-1&quot;} iex&gt; Validators.Colombia.validate(:nit, &quot;123456-12&quot;) {:error, &quot;NIT inválido&quot;}","ref":"Validators.Colombia.html#validate/2","title":"Validators.Colombia.validate/2","type":"function"},{"doc":"Validador para los identificadores personales y fiscales de Italia. Soporta el NIF (Número de identificación fiscal) Soporta el número de CIE (Carta de Identidad Electrónica)","ref":"Validators.Italy.html","title":"Validators.Italy","type":"module"},{"doc":"Valida el formato del NIF o el número de CIEEjemplos: iex&gt; Validators.Italy.validate(:nif, &quot;VRDGPP13R10B293P&quot;) {:ok, &quot;VRDGPP13R10B293P&quot;} iex&gt; Validators.Italy.validate(:nif, &quot;VRDGPP13R10B29BP&quot;) {:error, &quot;NIF inválido&quot;} iex&gt; Validators.Italy.validate(:cie, &quot;CA00000AA&quot;) {:ok, &quot;CA00000AA&quot;} iex&gt; Validators.Italy.validate(:cie, &quot;BA00000AA&quot;) {:error, &quot;CIE inválido&quot;}","ref":"Validators.Italy.html#validate/2","title":"Validators.Italy.validate/2","type":"function"},{"doc":"Validador para los identificadores personales y fiscales de Mexico. Soporta el RFC (Registro Federal de Contribuyentes) y el CURP (Clave Única de Registro de Población)","ref":"Validators.Mexico.html","title":"Validators.Mexico","type":"module"},{"doc":"Valida el formato del CURP ó el RFC Ejemplos: iex&gt; Validators.Mexico.validate(:curp, &quot;ROCE000131HNLDNDA0&quot;) {:ok, &quot;ROCE000131HNLDNDA0&quot;} iex&gt; Validators.Mexico.validate(:curp, &quot;BADD110313HCMLNS0Q&quot;) {:error, &quot;CURP inválido&quot;} iex&gt; Validators.Mexico.validate(:rfc, &quot;AAFI7906296J1&quot;) {:ok, &quot;AAFI7906296J1&quot;} iex&gt; Validators.Mexico.validate(:rfc, &quot;OIBD890101MQB&quot;) {:error, &quot;RFC inválido&quot;}","ref":"Validators.Mexico.html#validate/2","title":"Validators.Mexico.validate/2","type":"function"},{"doc":"Validador para los identificadores personales y fiscales de Portugal. Soporta el NIF (Número de identificación fiscal)","ref":"Validators.Portugal.html","title":"Validators.Portugal","type":"module"},{"doc":"Valida el formato del NIF Este identificador se utiliza tanto para documentos personales como fiscales, segun lo revisado con operacionesEjemplos: iex&gt; Validators.Portugal.validate(:nif, &quot;123456789&quot;) {:ok, &quot;123456789&quot;} iex&gt; Validators.Portugal.validate(:nif, &quot;12345678&quot;) {:error, &quot;NIF inválido&quot;}","ref":"Validators.Portugal.html#validate/2","title":"Validators.Portugal.validate/2","type":"function"},{"doc":"Validador para los identificadores personales y fiscales de España. Soporta el DNI (Documento Nacional de Identidad) y el NIE (Número de identificación al Extranjero)","ref":"Validators.Spain.html","title":"Validators.Spain","type":"module"},{"doc":"Valida el formato del DNI, NIE o NIFEjemplos: iex&gt; Validators.Spain.validate(:dni, &quot;46324571H&quot;) {:ok, &quot;46324571H&quot;} iex&gt; Validators.Spain.validate(:dni, &quot;46324571I&quot;) {:error, &quot;DNI inválido&quot;} iex&gt; Validators.Spain.validate(:nie, &quot;Z1234567R&quot;) {:ok, &quot;Z1234567R&quot;} iex&gt; Validators.Spain.validate(:nie, &quot;Z1234567I&quot;) {:error, &quot;NIE inválido&quot;} iex&gt; Validators.Spain.validate(:nif, &quot;46324571H&quot;) {:ok, &quot;46324571H&quot;} iex&gt; Validators.Spain.validate(:nif, &quot;46324571I&quot;) {:error, &quot;NIF inválido&quot;}","ref":"Validators.Spain.html#validate/2","title":"Validators.Spain.validate/2","type":"function"}]